#include <QtGui/QFileDialog>

#include "QMyWindow.h"

QMyWindow::QMyWindow(QWidget *parent): QMainWindow(parent) 
{
	ui.setupUi(this);

	connect(ui.actionOpen_File, SIGNAL(triggered()), SLOT(slotLoadFile()));
	connect(this, SIGNAL(signalLoadFile(QString)), ui.widget, SLOT(slotLoadFile(const QString&)));

	connect(ui.actionReload, SIGNAL(triggered()), SLOT(slotReloadShader()));
	connect(this, SIGNAL(signalReloadShader()), ui.widget, SLOT(slotReloadShader()));

	connect(ui.actionExit, SIGNAL(triggered()), SLOT(slotQuitApp()));

}  


void QMyWindow::slotQuitApp() 
{ 
	emit signalQuitApp(); 
}

void QMyWindow::slotLoadFile() 
{ 
	QString s = QFileDialog::getOpenFileName(
                    this,
                    "Load File",
                    "./",
                    "File (*.txt)");
	if(!s.isNull())
	{
		emit signalLoadFile(s);
	}
}

void QMyWindow::slotReloadShader()
{
	emit signalReloadShader();
}