#include <math.h>

#include <QtCore/QFile>
#include <QtGui/QMouseEvent>
#include <QtGui/QMessageBox>
#include <QtGui/QImage>

#include "glwidget.h"

GLwidget::GLwidget(QWidget *parent, QGLFormat format): QGLWidget(format, parent) 
{
	genproc = new GenProc();
}       

GLwidget::~GLwidget()
{
	delete genproc;
}

void GLwidget::slotLoadFile(const QString &filename)
{
	genproc->loadFile(filename.toAscii().data());
	genproc->performComputation();
}

void GLwidget::slotReloadShader(void)
{
	if(genproc->isFileLoaded()) // if no file is loaded, there is no reason to REload shader
	{
		genproc->loadShader();
		genproc->resetDistanceField();
		genproc->performComputation();
		update();
	}
}

void GLwidget::initializeGL() 
{ 
	genproc->loadShader();
}

void GLwidget::paintGL() 
{   
	if(genproc->isFileLoaded()) // if no file is loaded, there is nothing usefull to display
	{
		genproc->paintResult(this->width(), this->height());
	}
}
